ALTER TABLE SBI_AUDIT MODIFY COLUMN DOC_PARAMETERS TEXT DEFAULT NULL;

ALTER TABLE SBI_VIEWPOINTS MODIFY COLUMN VP_VALUE_PARAMS TEXT DEFAULT NULL;

ALTER TABLE SBI_REMEMBER_ME MODIFY COLUMN PARAMETERS TEXT DEFAULT NULL;

ALTER TABLE SBI_DATA_SET ADD COLUMN NUM_ROWS BOOLEAN DEFAULT FALSE;
UPDATE SBI_DATA_SET SET NUM_ROWS=FALSE;

ALTER TABLE SBI_MENU MODIFY COLUMN BIOBJ_PARAMETERS TEXT ;

ALTER TABLE SBI_KPI ADD COLUMN KPI_TYPE INTEGER ,
 ADD COLUMN METRIC_SCALE_TYPE INTEGER ,
 ADD COLUMN MEASURE_TYPE INTEGER ,
 ADD COLUMN INTERPRETATION VARCHAR(1000) ,
 ADD COLUMN INPUT_ATTRIBUTES VARCHAR(1000) ,
 ADD COLUMN MODEL_REFERENCE VARCHAR(255) ,
 ADD COLUMN TARGET_AUDIENCE VARCHAR(1000) ;


ALTER TABLE SBI_KPI_INST_PERIOD CHANGE COLUMN `DEFAULT` DEFAULT_VALUE BOOLEAN DEFAULT NULL;

ALTER TABLE SBI_KPI_MODEL_INST ADD COLUMN LABEL VARCHAR(100) BINARY NOT NULL ,
 ADD COLUMN START_DATE DATETIME ,
 ADD COLUMN END_DATE DATETIME ;
 

ALTER TABLE SBI_ALARM_EVENT ADD COLUMN KPI_DESCRIPTION VARCHAR(100),
 ADD COLUMN RESOURCE_ID INTEGER UNSIGNED ,
 ADD COLUMN KPI_INSTANCE_ID INTEGER UNSIGNED ;
 
UPDATE SBI_KPI_MODEL_INST SET `LABEL` = KPI_MODEL_INST ;
ALTER TABLE SBI_KPI_MODEL_INST ADD UNIQUE INDEX `UNIQUE_LABEL`(`LABEL`);

ALTER TABLE SBI_KPI_INSTANCE ADD FOREIGN KEY (KPI_ID) REFERENCES SBI_KPI (KPI_ID) ON DELETE  RESTRICT ON UPDATE  RESTRICT;

ALTER TABLE SBI_KPI ADD FOREIGN KEY (KPI_TYPE) REFERENCES SBI_DOMAINS (VALUE_ID) ON DELETE  RESTRICT ON UPDATE  RESTRICT;
ALTER TABLE SBI_KPI ADD FOREIGN KEY (METRIC_SCALE_TYPE) REFERENCES SBI_DOMAINS (VALUE_ID) ON DELETE  RESTRICT ON UPDATE  RESTRICT;
ALTER TABLE SBI_KPI ADD FOREIGN KEY (MEASURE_TYPE) REFERENCES SBI_DOMAINS (VALUE_ID) ON DELETE  RESTRICT ON UPDATE  RESTRICT;
 
ALTER TABLE SBI_DATA_SET ADD COLUMN LANGUAGE_SCRIPT VARCHAR(50) DEFAULT NULL;
UPDATE SBI_DATA_SET SET LANGUAGE_SCRIPT = 'groovy' where OBJECT_TYPE = 'SbiScriptDataSet';

ALTER TABLE SBI_DOMAINS MODIFY COLUMN VALUE_CD VARCHAR(100) NOT NULL;

ALTER TABLE SBI_FUNCTIONS MODIFY COLUMN CODE VARCHAR(40) NOT NULL;

UPDATE SBI_DOMAINS SET VALUE_CD = '-1' ,VALUE_NM = 'sbidomains.nm.default', VALUE_DS='sbidomains.ds.default' WHERE VALUE_CD = 'DEFAULT' AND DOMAIN_CD = 'DIALECT_HIB';
UPDATE SBI_DOMAINS SET VALUE_CD = 'org.hibernate.dialect.OracleDialect',VALUE_NM = 'sbidomains.nm.oracle', VALUE_DS='sbidomains.ds.oracle' WHERE VALUE_CD = 'ORACLE' AND DOMAIN_CD = 'DIALECT_HIB';
UPDATE SBI_DOMAINS SET VALUE_CD = 'org.hibernate.dialect.Oracle9Dialect',VALUE_NM = 'sbidomains.nm.oracle_9i10g', VALUE_DS='sbidomains.ds.oracle_9i10g' WHERE VALUE_CD = 'ORACLE 9i/10g' AND DOMAIN_CD = 'DIALECT_HIB';
UPDATE SBI_DOMAINS SET VALUE_CD = 'org.hibernate.dialect.SQLServerDialect',VALUE_NM = 'sbidomains.nm.sqlserver', VALUE_DS='sbidomains.ds.sqlserver' WHERE VALUE_CD = 'SQLSERVER' AND DOMAIN_CD = 'DIALECT_HIB';
UPDATE SBI_DOMAINS SET VALUE_CD = 'org.hibernate.dialect.HSQLDialect',VALUE_NM = 'sbidomains.nm.hsql', VALUE_DS='sbidomains.ds.hsql' WHERE VALUE_CD = 'HQL' AND DOMAIN_CD = 'DIALECT_HIB';
UPDATE SBI_DOMAINS SET VALUE_CD = 'org.hibernate.dialect.MySQLInnoDBDialect',VALUE_NM = 'sbidomains.nm.mysql', VALUE_DS='sbidomains.ds.mysql' WHERE VALUE_CD = 'MYSQL' AND DOMAIN_CD = 'DIALECT_HIB';
UPDATE SBI_DOMAINS SET VALUE_CD = 'org.hibernate.dialect.PostgreSQLDialect',VALUE_NM = 'sbidomains.nm.postgresql', VALUE_DS='sbidomains.ds.postgresql' WHERE VALUE_CD = 'POSTGRESQL' AND DOMAIN_CD = 'DIALECT_HIB';
UPDATE SBI_DOMAINS SET VALUE_CD = 'org.hibernate.dialect.IngresDialect',VALUE_NM = 'sbidomains.nm.ingres', VALUE_DS='sbidomains.ds.ingres' WHERE VALUE_CD = 'INGRES' AND DOMAIN_CD = 'DIALECT_HIB';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.query', VALUE_DS='sbidomains.ds.query' WHERE VALUE_CD = 'QUERY' AND DOMAIN_CD = 'INPUT_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.script', VALUE_DS='sbidomains.ds.script' WHERE VALUE_CD = 'SCRIPT' AND DOMAIN_CD = 'INPUT_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.fix_lov', VALUE_DS='sbidomains.ds.fix_lov' WHERE VALUE_CD = 'FIX_LOV' AND DOMAIN_CD = 'INPUT_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.java_class', VALUE_DS='sbidomains.ds.java_class' WHERE VALUE_CD = 'JAVA_CLASS' AND DOMAIN_CD = 'INPUT_TYPE';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.report', VALUE_DS='sbidomains.ds.report' WHERE VALUE_CD = 'REPORT' AND DOMAIN_CD = 'BIOBJ_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.olap', VALUE_DS='sbidomains.ds.olap' WHERE VALUE_CD = 'OLAP' AND DOMAIN_CD = 'BIOBJ_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.data_mining', VALUE_DS='sbidomains.ds.data_mining' WHERE VALUE_CD = 'DATA_MINING' AND DOMAIN_CD = 'BIOBJ_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.dash', VALUE_DS='sbidomains.ds.dash' WHERE VALUE_CD = 'DASH' AND DOMAIN_CD = 'BIOBJ_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.datamart', VALUE_DS='sbidomains.ds.datamart' WHERE VALUE_CD = 'DATAMART' AND DOMAIN_CD = 'BIOBJ_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.map', VALUE_DS='sbidomains.ds.map' WHERE VALUE_CD = 'MAP' AND DOMAIN_CD = 'BIOBJ_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.dossier', VALUE_DS='sbidomains.ds.dossier' WHERE VALUE_CD = 'DOSSIER' AND DOMAIN_CD = 'BIOBJ_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.office_doc', VALUE_DS='sbidomains.ds.office_doc' WHERE VALUE_CD = 'OFFICE_DOC' AND DOMAIN_CD = 'BIOBJ_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.etl', VALUE_DS='sbidomains.ds.etl' WHERE VALUE_CD = 'ETL' AND DOMAIN_CD = 'BIOBJ_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.document_composite', VALUE_DS='sbidomains.ds.document_composite' WHERE VALUE_CD = 'DOCUMENT_COMPOSITE' AND DOMAIN_CD = 'BIOBJ_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'Kpi', VALUE_DS='Kpi business indicator' WHERE VALUE_CD = 'KPI' AND DOMAIN_CD = 'BIOBJ_TYPE';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.bool', VALUE_DS='sbidomains.ds.bool' WHERE VALUE_CD = 'BOOL' AND DOMAIN_CD = 'VALUE_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.single', VALUE_DS='sbidomains.ds.single' WHERE VALUE_CD = 'SINGLE' AND DOMAIN_CD = 'VALUE_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.multi', VALUE_DS='sbidomains.ds.multi' WHERE VALUE_CD = 'MULTI' AND DOMAIN_CD = 'VALUE_TYPE';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.date', VALUE_DS='sbidomains.ds.date' WHERE VALUE_CD = 'DATE' AND DOMAIN_CD = 'PAR_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.num', VALUE_DS='sbidomains.ds.num' WHERE VALUE_CD = 'NUM' AND DOMAIN_CD = 'PAR_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.string', VALUE_DS='sbidomains.ds.string' WHERE VALUE_CD = 'STRING' AND DOMAIN_CD = 'PAR_TYPE';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.user', VALUE_DS='sbidomains.ds.user' WHERE VALUE_CD = 'USER' AND DOMAIN_CD = 'ROLE_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.admin', VALUE_DS='sbidomains.ds.admin' WHERE VALUE_CD = 'ADMIN' AND DOMAIN_CD = 'ROLE_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.dev_role', VALUE_DS='sbidomains.ds.dev_role' WHERE VALUE_CD = 'DEV_ROLE' AND DOMAIN_CD = 'ROLE_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.test_role', VALUE_DS='sbidomains.ds.test_role' WHERE VALUE_CD = 'TEST_ROLE' AND DOMAIN_CD = 'ROLE_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.model_admin', VALUE_DS='sbidomains.ds.model_admin' WHERE VALUE_CD = 'MODEL_ADMIN' AND DOMAIN_CD = 'ROLE_TYPE';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.low_funct', VALUE_DS='sbidomains.ds.low_funct' WHERE VALUE_CD = 'LOW_FUNCT' AND DOMAIN_CD = 'FUNCT_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.user_funct', VALUE_DS='sbidomains.ds.user_funct' WHERE VALUE_CD = 'USER_FUNCT' AND DOMAIN_CD = 'FUNCT_TYPE';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.susp', VALUE_DS='sbidomains.ds.susp' WHERE VALUE_CD = 'SUSP' AND DOMAIN_CD = 'STATE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.dev', VALUE_DS='sbidomains.ds.dev' WHERE VALUE_CD = 'DEV' AND DOMAIN_CD = 'STATE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.test', VALUE_DS='sbidomains.ds.test' WHERE VALUE_CD = 'TEST' AND DOMAIN_CD = 'STATE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.rel', VALUE_DS='sbidomains.ds.rel' WHERE VALUE_CD = 'REL' AND DOMAIN_CD = 'STATE';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.date', VALUE_DS='sbidomains.ds.date' WHERE VALUE_CD = 'DATE' AND DOMAIN_CD = 'CHECK';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.regexp', VALUE_DS='sbidomains.ds.regexp' WHERE VALUE_CD = 'REGEXP' AND DOMAIN_CD = 'CHECK';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.maxlength', VALUE_DS='sbidomains.ds.maxlength' WHERE VALUE_CD = 'MAXLENGTH' AND DOMAIN_CD = 'CHECK';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.range', VALUE_DS='sbidomains.ds.range' WHERE VALUE_CD = 'RANGE' AND DOMAIN_CD = 'CHECK';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.decimals', VALUE_DS='sbidomains.ds.decimals' WHERE VALUE_CD = 'DECIMALS' AND DOMAIN_CD = 'CHECK';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.minlength', VALUE_DS='sbidomains.ds.minlength' WHERE VALUE_CD = 'MINLENGTH' AND DOMAIN_CD = 'CHECK';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.internet_address', VALUE_DS='sbidomains.ds.internet_address' WHERE VALUE_CD = 'INTERNET ADDRESS' AND DOMAIN_CD = 'PRED_CHECK';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.numeric', VALUE_DS='sbidomains.ds.numeric' WHERE VALUE_CD = 'NUMERIC' AND DOMAIN_CD = 'PRED_CHECK';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.alfanumeric', VALUE_DS='sbidomains.ds.alfanumeric' WHERE VALUE_CD = 'ALFANUMERIC' AND DOMAIN_CD = 'PRED_CHECK';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.letterstring', VALUE_DS='sbidomains.ds.letterstring' WHERE VALUE_CD = 'LETTERSTRING' AND DOMAIN_CD = 'PRED_CHECK';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.mandatory', VALUE_DS='sbidomains.ds.mandatory' WHERE VALUE_CD = 'MANDATORY' AND DOMAIN_CD = 'PRED_CHECK';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.fiscalcode', VALUE_DS='sbidomains.ds.fiscalcode' WHERE VALUE_CD = 'FISCALCODE' AND DOMAIN_CD = 'PRED_CHECK';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.email', VALUE_DS='sbidomains.ds.email' WHERE VALUE_CD = 'EMAIL' AND DOMAIN_CD = 'PRED_CHECK';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.ext', VALUE_DS='sbidomains.ds.ext' WHERE VALUE_CD = 'EXT' AND DOMAIN_CD = 'ENGINE_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.int', VALUE_DS='sbidomains.ds.int' WHERE VALUE_CD = 'INT' AND DOMAIN_CD = 'ENGINE_TYPE';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.list', VALUE_DS='sbidomains.ds.list' WHERE VALUE_CD = 'LIST' AND DOMAIN_CD = 'SELECTION_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.check_list', VALUE_DS='sbidomains.ds.check_list' WHERE VALUE_CD = 'CHECK_LIST' AND DOMAIN_CD = 'SELECTION_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.combobox', VALUE_DS='sbidomains.ds.combobox' WHERE VALUE_CD = 'COMBOBOX' AND DOMAIN_CD = 'SELECTION_TYPE';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.range', VALUE_DS='sbidomains.ds.range' WHERE VALUE_CD = 'RANGE' AND DOMAIN_CD = 'THRESHOLD_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.minimum', VALUE_DS='sbidomains.ds.minimum' WHERE VALUE_CD = 'MINIMUM' AND DOMAIN_CD = 'THRESHOLD_TYPE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.maximum', VALUE_DS='sbidomains.ds.maximum' WHERE VALUE_CD = 'MAXIMUM' AND DOMAIN_CD = 'THRESHOLD_TYPE';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Urgent', VALUE_DS='sbidomains.ds.Urgent' WHERE VALUE_CD = 'URGENT' AND DOMAIN_CD = 'SEVERITY';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.High', VALUE_DS='sbidomains.ds.High' WHERE VALUE_CD = 'HIGH' AND DOMAIN_CD = 'SEVERITY';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Medium', VALUE_DS='sbidomains.ds.Medium' WHERE VALUE_CD = 'MEDIUM' AND DOMAIN_CD = 'SEVERITY';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Low', VALUE_DS='sbidomains.ds.Low' WHERE VALUE_CD = 'LOW' AND DOMAIN_CD = 'SEVERITY';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.CSP', VALUE_DS='sbidomains.ds.CSP' WHERE VALUE_CD = 'CSP' AND DOMAIN_CD = 'RESOURCE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Process', VALUE_DS='sbidomains.ds.Process' WHERE VALUE_CD = 'PROCESS' AND DOMAIN_CD = 'RESOURCE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Project', VALUE_DS='sbidomains.ds.Project' WHERE VALUE_CD = 'PROJECT' AND DOMAIN_CD = 'RESOURCE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Service', VALUE_DS='sbidomains.ds.Service' WHERE VALUE_CD = 'SERVICE' AND DOMAIN_CD = 'RESOURCE';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Meter', VALUE_DS='sbidomains.ds.Meter' WHERE VALUE_CD = 'Meter' AND DOMAIN_CD = 'KPI_CHART';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.SimpleDial', VALUE_DS='sbidomains.ds.SimpleDial' WHERE VALUE_CD = 'SimpleDial' AND DOMAIN_CD = 'KPI_CHART';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Speedometer', VALUE_DS='sbidomains.ds.Speedometer' WHERE VALUE_CD = 'Speedometer' AND DOMAIN_CD = 'KPI_CHART';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Thermometer', VALUE_DS='sbidomains.ds.Thermometer' WHERE VALUE_CD = 'Thermometer' AND DOMAIN_CD = 'KPI_CHART';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.BulletGraph', VALUE_DS='sbidomains.ds.BulletGraph' WHERE VALUE_CD = 'BulletGraph' AND DOMAIN_CD = 'KPI_CHART';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Mail', VALUE_DS='sbidomains.ds.Mail' WHERE VALUE_CD = 'MAIL' AND DOMAIN_CD = 'ALARM_MODALITY';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.SMS', VALUE_DS='sbidomains.ds.SMS' WHERE VALUE_CD = 'SMS' AND DOMAIN_CD = 'ALARM_MODALITY';

UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Generic_root', VALUE_DS='sbidomains.ds.Generic_root' WHERE VALUE_CD = 'GENERIC_ROOT' AND DOMAIN_CD = 'MODEL_ROOT';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.Generic_Node', VALUE_DS='sbidomains.ds.Generic_Node' WHERE VALUE_CD = 'GENERIC_NODE' AND DOMAIN_CD = 'MODEL_NODE';
UPDATE SBI_DOMAINS SET VALUE_NM = 'sbidomains.nm.pivot_transformer', VALUE_DS='sbidomains.ds.pivot_transformer' WHERE VALUE_CD = 'PIVOT_TRANSFOMER' AND DOMAIN_CD = 'TRANSFORMER_TYPE';

INSERT INTO SBI_DOMAINS (VALUE_CD,VALUE_NM,DOMAIN_CD,DOMAIN_NM,VALUE_DS) VALUES
('Basic','Basic','KPI_TYPE','Kpi Type',''),
('Derived','Derived','KPI_TYPE','Kpi Type',''),
('Nominal scale','Nominal scale','METRIC_SCALE_TYPE','Metric Scale Type',''),
('Ordinal scale','Ordinal scale','METRIC_SCALE_TYPE','Metric Scale Type',''),
('Intervals scale','Intervals scale','METRIC_SCALE_TYPE','Metric Scale Type',''),
('Ratio scale','Ratio scale','METRIC_SCALE_TYPE','Metric Scale Type',''),
('Absolute scale','Absolute scale','METRIC_SCALE_TYPE','Metric Scale Type',''),
('COUNT','Count','MEASURE_TYPE','Measure Type',''),
('TIME','Time','MEASURE_TYPE','Measure Type',''),
('SIZE','Size','MEASURE_TYPE','Measure Type','');
commit;





